Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000975I6 LibraryGeneralpublic2012-08-08 15:492015-05-10 17:47
ReporterDavidG 
Assigned ToDavidG 
PrioritynormalSeveritymildReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version6/11 
Target Version6/12Fixed in Version6/12 
Summary0000975: Inference message inconsistency
DescriptionOriginally reported by Cedric Knight as Issue L61110

In a pile of several indistinguishable objects, taking them from the floor does not generate an (inference) message, but it does when the final one is taken. (See also Suggestion 48)

Suggestion 48 is as follows: Make it possible to temporarily disable parser inference messages in circumstances where they add no value.

Proposed solution:

Adjudicate( ) should be reordered so that the SingleBestGuess( ) escape comes after sorting into groups, and after the line:

  if (n == 1) dont_infer = true;
Additional InformationI think I might have implemented Suggestion 48 already. See commit be10e3f1995230996b651308afc977120865f21d. Please comment.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0002788)
DavidG (developer)
2014-05-17 00:42

FYI https://github.com/DavidGriffith/inform6lib/commit/be10e3f1995230996b651308afc977120865f21d [^]
(0003615)
jmcgrew (administrator)
2015-05-10 17:47

Closing all resolved issues from 2014 and earlier.

- Issue History
Date Modified Username Field Change
2012-08-08 15:49 DavidG New Issue
2012-08-08 16:03 DavidG Description Updated View Revisions
2012-10-07 18:16 DavidG Assigned To => DavidG
2012-10-07 18:16 DavidG Status new => assigned
2014-05-17 00:38 DavidG Note Added: 0002787
2014-05-17 00:42 DavidG Note Deleted: 0002787
2014-05-17 00:42 DavidG Note Added: 0002788
2014-05-17 00:42 DavidG Status assigned => resolved
2014-05-17 00:42 DavidG Fixed in Version => 6/12
2014-05-17 00:42 DavidG Resolution open => fixed
2015-05-10 17:47 jmcgrew Note Added: 0003615
2015-05-10 17:47 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker